// Robot.h: interface for the CRobot class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROBOT_H__5B7BEEC2_5C30_11D2_A79D_00C04FD55560__INCLUDED_)
#define AFX_ROBOT_H__5B7BEEC2_5C30_11D2_A79D_00C04FD55560__INCLUDED_

#include "Hat.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CRobot  
{
public:
	void setHat_vx(float k);
	void set_body_vx(float v);
	void moveHat_z(float k);
	CHat hat;
	void setL_Arm(float x1, float y1, float x2, float y2);
	void setR_Arm(float x1, float y1, float x2, float y2);
	void move_robot_z_to(float k);
	void rotL_hand_z(float k);
	void rotL_hand_y(float k);
	void rotL_hand_x(float k);
	void rotR_hand_z(float k);
	float z;
	float y;
	float x;
	void drawHat();
	float calc_legg_angle(float x, float y);
	float calc_laar_angle(float x, float y);
	void liste_Slutt(int listeNum);
	bool liste(int listeNum);
	void moveR_LegTo(float x, float y);
	void drawClosedCylinder2(float r, float h, int qual);
	void moveR_finger(int i, float k);
	void rotR_hand_y(float k);
	void rotR_hand_x(float k);
	void rotL_Arm(float k);
	void rotR_Arm(float k);
	void rotR_fot(float k1, float k2);
	void rot_head_x(float k);
	void rot_head_y(float k);
	void moveL_LegTo(float x, float y);
	void rotEyebrow(float k);
	void rotHead(float k);
	void drawFace();
	void moveL_Arm(float vx1, float vy1, float vx2, float vy2);
	void moveR_Arm(float vx1, float vy1, float vx2, float vy2);
	void move_robot_y(float y);
	void move_robot_x(float x);
	void move_robot_z(float z);
	void rot_body_x(int v);
	void moveR_Leg(int laar, int legg);
	void moveL_Leg(int laar, int legg);
	void drawR_Leg();
	void drawClosedCylinder(float r, float h);
	void drawL_Leg();
	void drawLowerBody();
	void drawKule(float rad);
	void drawHead();
	void drawArmer();
	void drawSkuldre();
	void drawCylinder(float rad, float h);
	void finger_bevegelse_1();
	void drawFinger(float width, float length, float k);
	void drawL_Hand();
	void drawR_Arm();
	void drawR_Hand();
	void drawL_Arm();
	void drawUpperBody();
	void drawRobot();
	CRobot();
	virtual ~CRobot();
};

#endif // !defined(AFX_ROBOT_H__5B7BEEC2_5C30_11D2_A79D_00C04FD55560__INCLUDED_)
