// Bicycle.h: interface for the CBicycle class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BICYCLE_H__85949343_4E2C_11D2_A79D_00C04FC235F0__INCLUDED_)
#define AFX_BICYCLE_H__85949343_4E2C_11D2_A79D_00C04FC235F0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CBicycle  
{
public:
	float bx, by, bz;
	void setVisible(bool vis);
	void transToGround();
	float calcLStyreY(float retning);
	float calcLStyreX(float retning);
	int getPedalAngle();
	float calcPedalY(float angle);
	float calcPedalX(float angle);
	float seatToRPedalY();
	float seatToRPedalX();
	float seatToLPedalX();
	float seatToLPedalY();
	void transToSeatRobot();
	void drawKule(float rad);
	void drawClosedCylinder(float r, float h);
	void rotateWheel(float r);
	void drawEiker(float rad, int n, float start);
	void drawGaffel3();
	float getDirection();
	void turnBike(float rot);
	void transToStyre();
	void drawStyre();
	void transToBackWheel();
	void drawGaffel2();
	void drawBackWheel();
	void drawWheel(float rad, float width, float quality);
	void transToFrontWheel();
	void drawFrontWheel();
	void drawGaffel1();
	void drawSeat();
	void transToSeat();
	void bevegPedal(float angle, float angle2);
	void drawPedaler();
	void drawCylinder(float rad, float height);
	void drawRamme();
	void drawBike();
	CBicycle();
	virtual ~CBicycle();
};

#endif // !defined(AFX_BICYCLE_H__85949343_4E2C_11D2_A79D_00C04FC235F0__INCLUDED_)
